Method: firstPartyAndPartnerAudiences.get

  • This document outlines how to get a first party or partner audience using a GET HTTP request.

  • The request requires a firstPartyAndPartnerAudienceId as a path parameter.

  • A required union parameter accessor is used to identify the DV360 entity (partner or advertiser) that has access to the audience.

  • The response body contains an instance of FirstPartyAndPartnerAudience if the request is successful.

  • The request requires the https://www.googleapis.com/auth/display-video OAuth scope for authorization.

Gets a first party or partner audience.

HTTP request

GET https://displayvideo.googleapis.com/v4/firstPartyAndPartnerAudiences/{firstPartyAndPartnerAudienceId}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
firstPartyAndPartnerAudienceId

string (int64 format)

Required. The ID of the first party and partner audience to fetch.

Query parameters

Parameters
Required. Identifies which DV360 entity the request is being made within. The GET request will only return first party and partner audience entities that are accessible to the DV360 entity identified within the accessor. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
partnerId

string (int64 format)

The ID of the partner that has access to the fetched first party and partner audience.

advertiserId

string (int64 format)

The ID of the advertiser that has access to the fetched first party and partner audience.

End of mutually exclusive fields.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of FirstPartyAndPartnerAudience.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.